Package org.eclipse.net4j.util.io

## Class DataInputOutputFile

- java.lang.Object
- - org.eclipse.net4j.util.io.DataInputOutputFile

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.DataInput`, `java.io.DataOutput`, `java.io.Flushable`, `java.lang.AutoCloseable`

      public class DataInputOutputFile
      extends java.lang.Object
      implements java.io.DataInput, java.io.DataOutput, java.io.Flushable, java.io.Closeable

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataInputOutputFile​(java.io.File file, java.lang.String mode)` |
    `DataInputOutputFile​(java.io.File file, java.lang.String mode, int bufferSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `flush()` |
    `long` | `getFilePointer()` |
    `long` | `length()` |
    `int` | `read()` |
    `int` | `read​(byte[] array)` |
    `int` | `read​(byte[] array, int offset, int length)` |
    `boolean` | `readBoolean()` |
    `byte` | `readByte()` |
    `byte[]` | `readBytes​(int count)` |
    `char` | `readChar()` |
    `double` | `readDouble()` |
    `float` | `readFloat()` |
    `void` | `readFully​(byte[] array)` |
    `void` | `readFully​(byte[] array, int offset, int length)` |
    `int` | `readInt()` |
    `java.lang.String` | `readLine()` |
    `long` | `readLong()` |
    `short` | `readShort()` |
    `int` | `readUnsignedByte()` |
    `int` | `readUnsignedShort()` |
    `java.lang.String` | `readUTF()` |
    `void` | `seek​(long filePointer)` |
    `int` | `skipBytes​(int n)` |
    `void` | `write​(byte[] array)` |
    `void` | `write​(byte[] array, int offset, int length)` |
    `void` | `write​(int byteValue)` |
    `void` | `writeBoolean​(boolean value)` |
    `void` | `writeByte​(int value)` |
    `void` | `writeBytes​(java.lang.String value)` |
    `void` | `writeChar​(int value)` |
    `void` | `writeChars​(java.lang.String value)` |
    `void` | `writeDouble​(double value)` |
    `void` | `writeFloat​(float value)` |
    `void` | `writeInt​(int value)` |
    `void` | `writeLong​(long value)` |
    `void` | `writeShort​(int value)` |
    `void` | `writeUTF​(java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataInputOutputFile

          public DataInputOutputFile​(java.io.File file,
                                     java.lang.String mode)
                              throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### DataInputOutputFile

          public DataInputOutputFile​(java.io.File file,
                                     java.lang.String mode,
                                     int bufferSize)
                              throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `java.io.Flushable`
      Throws:
        `java.io.IOException`

    - #### seek

          public void seek​(long filePointer)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getFilePointer

          public long getFilePointer()
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### length

          public long length()
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### skipBytes

          public int skipBytes​(int n)
                        throws java.io.IOException

      Specified by:
        `skipBytes` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### read

          public int read()
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public int read​(byte[] array,
                          int offset,
                          int length)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public int read​(byte[] array)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readBytes

          public byte[] readBytes​(int count)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readFully

          public void readFully​(byte[] array)
                         throws java.io.IOException

      Specified by:
        `readFully` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readFully

          public void readFully​(byte[] array,
                                int offset,
                                int length)
                         throws java.io.IOException

      Specified by:
        `readFully` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readBoolean

          public boolean readBoolean()
                              throws java.io.IOException

      Specified by:
        `readBoolean` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readByte

          public byte readByte()
                        throws java.io.IOException

      Specified by:
        `readByte` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readUnsignedByte

          public int readUnsignedByte()
                               throws java.io.IOException

      Specified by:
        `readUnsignedByte` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readShort

          public short readShort()
                          throws java.io.IOException

      Specified by:
        `readShort` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readUnsignedShort

          public int readUnsignedShort()
                                throws java.io.IOException

      Specified by:
        `readUnsignedShort` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readChar

          public char readChar()
                        throws java.io.IOException

      Specified by:
        `readChar` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readInt

          public int readInt()
                      throws java.io.IOException

      Specified by:
        `readInt` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readLong

          public long readLong()
                        throws java.io.IOException

      Specified by:
        `readLong` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readFloat

          public float readFloat()
                          throws java.io.IOException

      Specified by:
        `readFloat` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readDouble

          public double readDouble()
                            throws java.io.IOException

      Specified by:
        `readDouble` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readLine

          public java.lang.String readLine()
                                    throws java.io.IOException

      Specified by:
        `readLine` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readUTF

          public java.lang.String readUTF()
                                   throws java.io.IOException

      Specified by:
        `readUTF` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### write

          public void write​(int byteValue)
                     throws java.io.IOException

      Specified by:
        `write` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### write

          public void write​(byte[] array)
                     throws java.io.IOException

      Specified by:
        `write` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### write

          public void write​(byte[] array,
                            int offset,
                            int length)
                     throws java.io.IOException

      Specified by:
        `write` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeBoolean

          public void writeBoolean​(boolean value)
                            throws java.io.IOException

      Specified by:
        `writeBoolean` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeByte

          public void writeByte​(int value)
                         throws java.io.IOException

      Specified by:
        `writeByte` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeShort

          public void writeShort​(int value)
                          throws java.io.IOException

      Specified by:
        `writeShort` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeChar

          public void writeChar​(int value)
                         throws java.io.IOException

      Specified by:
        `writeChar` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeInt

          public void writeInt​(int value)
                        throws java.io.IOException

      Specified by:
        `writeInt` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeLong

          public void writeLong​(long value)
                         throws java.io.IOException

      Specified by:
        `writeLong` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeFloat

          public void writeFloat​(float value)
                          throws java.io.IOException

      Specified by:
        `writeFloat` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeDouble

          public void writeDouble​(double value)
                           throws java.io.IOException

      Specified by:
        `writeDouble` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeBytes

          public void writeBytes​(java.lang.String value)
                          throws java.io.IOException

      Specified by:
        `writeBytes` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeChars

          public void writeChars​(java.lang.String value)
                          throws java.io.IOException

      Specified by:
        `writeChars` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`

    - #### writeUTF

          public void writeUTF​(java.lang.String value)
                        throws java.io.IOException

      Specified by:
        `writeUTF` in interface `java.io.DataOutput`
      Throws:
        `java.io.IOException`